TOLOWER(3)

NAME
tolower, tolower_l, _tolower, _tolower_l, - upper case to lower case letter conversion

SYNOPSIS
#include <ctype.h>
int
tolower(int c);
int
tolower_l(int c, locale_t l);
int
_tolower(int c);
int
_tolower_l(int c, locale_t l);

DESCRIPTION
The tolower() and tolower_l() functions convert an upper-case letter to the corresponding lower-case letter. The _tolower() and _tolower_l() functions are identical to tolower() except that c must be an upper-case letter.

RETURN VALUES
If the argument to the tolower() and tolower_l() functions is an upper-case letter, the corresponding lower-case letter is returned if there is one; otherwise the argument is returned unchanged. If the argument to the _tolower() and _tolower_l() functions is an upper-case letter, the corresponding lower-case letter is returned; otherwise the output is undefined.

The behavior of the functions tolower() and _tolower() is affected by the LC_CTYPE category of the current locale, while the behavior of the functions tolower_l() and _tolower_l() is affected by the LC_CTYPE category of the locale provided as parameter, see xlocale(3).

SEE ALSO
isalnum(3), isalpha(3), isascii(3), isblank(3), iscntrl(3), isdigit(3), isgraph(3), islower(3), isprint(3), ispunct(3), isspace(3), isupper(3), isxdigit(3), stdio(3), toascii(3), toupper(3), ascii(7), setlocale(3) xlocale(3)

STANDARDS
These functions conform to POSIX2008, ansiC.